|  | Home · All Classes · Main Classes · Grouped Classes · Modules · Functions |

# Qt 3 Support Members for QAbstractSlider

The following class members are part of the Qt 3 support layer. They are provided to help you port old code to Qt 4. We advise against using them in new code.

- QAbstractSlider class reference

### Public Functions

- void addLine ()
- void addPage ()
- int lineStep () const
- int maxValue () const
- int minValue () const
- void setLineStep ( int v )
- void setMaxValue ( int v )
- void setMinValue ( int v )
- void setSteps ( int single, int page )
- void subtractLine ()
- void subtractPage ()

- 60 public functions inherited from QWidget
- 8 public functions inherited from QObject
- 8 public functions inherited from QPaintDevice

## Member Function Documentation

### void QAbstractSlider::addLine ()

Use triggerAction(QAbstractSlider::SliderSingleStepAdd) instead.

### void QAbstractSlider::addPage ()

Use triggerAction(QAbstractSlider::SliderPageStepAdd) instead.

### int QAbstractSlider::lineStep () const

Use singleStep() instead.

See also setLineStep().

### int QAbstractSlider::maxValue () const

Use maximum() instead.

See also setMaxValue().

### int QAbstractSlider::minValue () const

Use minimum() instead.

See also setMinValue().

### void QAbstractSlider::setLineStep ( int v )

Use setSingleStep() instead.

See also lineStep().

### void QAbstractSlider::setMaxValue ( int v )

Use setMaximum() instead.

See also maxValue().

### void QAbstractSlider::setMinValue ( int v )

Use setMinimum() instead.

See also minValue().

### void QAbstractSlider::setSteps ( int single, int page )

Use setSingleStep(single) followed by setPageStep(page) instead.

### void QAbstractSlider::subtractLine ()

Use triggerAction(QAbstractSlider::SliderSingleStepSub) instead.

### void QAbstractSlider::subtractPage ()

Use triggerAction(QAbstractSlider::SliderPageStepSub) instead.